> ## Documentation Index
> Fetch the complete documentation index at: https://developer.gptmaker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Pegar configurações

> Obtém as configurações de um agente existente



## OpenAPI

````yaml GET /v2/agent/{agentId}/settings
openapi: 3.0.1
info:
  title: OpenAPI GPT Maker
  description: Documentação completa da API do GPT Maker
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.gptmaker.ai
security:
  - bearerAuth: []
paths:
  /v2/agent/{agentId}/settings:
    get:
      description: Obtém as configurações de um agente existente
      parameters:
        - name: agentId
          in: path
          description: ID do agente
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Configurações do agente
          content:
            application/json:
              schema:
                type: object
                properties:
                  prefferModel:
                    type: string
                    description: Modelo de LLM preferido
                    enum:
                      - GPT_5
                      - GPT_5_MINI
                      - GPT_5_1
                      - GPT_5_2
                      - GPT_5_MINI_V2
                      - GPT_4_TURBO
                      - OPEN_AI_04
                      - OPEN_AI_03_MINI_BETA
                      - GPT_4_1
                      - GPT_4_1_MINI
                      - GPT_4_O_MINI
                      - GPT_4_O
                      - OPEN_AI_O3_MINI
                      - OPEN_AI_O4_MINI
                      - OPEN_AI_O3
                      - OPEN_AI_O1
                      - GPT_4
                      - CLAUDE_4_5_SONNET
                      - CLAUDE_3_5_SONNET
                      - CLAUDE_3_7_SONNET
                      - CLAUDE_3_5_HAIKU
                      - DEEPINFRA_LLAMA3_3
                      - QWEN_2_5_MAX
                      - DEEPSEEK_CHAT
                      - SABIA_3
                      - SABIA_3_1
                  timezone:
                    type: string
                    description: Timezone do agente
                  enabledHumanTransfer:
                    type: boolean
                    description: Define se o agente pode transferir para humano
                  enabledReminder:
                    type: boolean
                    description: Define se pode agendar lembretes
                  splitMessages:
                    type: boolean
                    description: >-
                      Define se a mensagem será dividida em várias, caso seja
                      muito grande
                  enabledEmoji:
                    type: boolean
                    description: Define se pode usar emojis nas respostas
                  limitSubjects:
                    type: boolean
                    description: >-
                      Define se pode falar de outros assuntos ou apenas
                      relacionado à empresa ou produto
                  messageGroupingTime:
                    type: string
                    description: Modelo de LLM preferido
                    enum:
                      - NO_GROUP
                      - FIVE_SEC
                      - TEN_SEC
                      - THIRD_SEC
                      - ONE_MINUTE
                  maxDailyMessages:
                    type: integer
                    nullable: true
                    description: >-
                      Define o que acontece ao atingir o limite de interações
                      por atendimento, se for nulo não usa
                      maxDailyMessagesLimitAction
                  maxDailyMessagesLimitAction:
                    type: string
                    enum:
                      - TEMP_BLOCK_30S
                      - TEMP_BLOCK_5M
                      - TEMP_BLOCK_10M
                      - TEMP_BLOCK_30M
                      - TEMP_BLOCK_1H
                      - BLOCK
                      - TRANSFER
                    description: >-
                      Define o que acontece ao atingir o limite de interações
                      por atendimento, vai ser usado apenas quando o
                      maxDailyMessages não for nulo.
                  knowledgeByFunction:
                    type: boolean
                    description: >-
                      É reponsável por ativar a busca inteligênte do treinamento
                      aonde o agente consulta a base de treinamentos no momento
                      certo, para trazer respostas mais precisas
                  onLackKnowLedge:
                    type: string
                    description: Na falta de conhecimento o agente lança um weebhook
        '400':
          description: Erro inesperado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Erro de token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    Error403:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````